<?php
/*
=====================================================
 Модуль создал: REZER (http://rezer.net)
=====================================================
 Файл: com-navigation.php
=====================================================
 Данный код защищен авторскими правами
=====================================================
 Назначение: ajax навигация по комментариям
=====================================================
*/

//-------------------------------------------------====
//	Инициализация
//-------------------------------------------------====

define( "ROOT_DIR", "../../.." );
define( "ENGINE_DIR", "../.." );

$OptAjax = array(
	"tpl"	=> true,
);

require_once( ENGINE_DIR."/ajax/board/OptAjax.php" );

//-------------------------------------------------====
//	Проверка данных
//-------------------------------------------------====

$id = intval( $_POST['board_id'] );
if( !$id ) echoReturn( "Приняты не все данные, попробуйте снова." );
if( $Board->Config['com_on'] != "yes" ) echoReturn( "Комментарии для данного объявления отключены" );
$LinkTpl = str_replace( "|-page-|", "{page}", strip_tags( stripslashes( $_REQUEST['link_tpl'] ) ) );

//-------------------------------------------------====
//	Информация об объявлении
//-------------------------------------------------====

$result = $db->query( "SELECT `allow_comm`,`category` FROM ".PREFIX."_board_post WHERE `id`='{$id}' AND `approve`='1' LIMIT 1" );
if( $db->num_rows( $retult ) > 0 )
	{
		$row = $db->get_row( $result );
		if( $row['allow_comm'] == 1 )
			{
				$RowCat = $Board->DB['category'][ intval( $row['category'] ) ];
				$Folder = $RowCat['template'] != "" ? totranslit( $RowCat['template'] ) : "default";
			}
				else
			{
				echoReturn( "Комментарии для данного объявления отключены" );
			}
	}
		else
	{
		echoReturn( "Объявление не обнаружено" );
	}

//-------------------------------------------------====
//	Запускаем класс комментариев
//-------------------------------------------------====

$AllowAdd = false;
$allow_group_com_moder = explode( ",", $Board->Config['com_groups_moder'] );
$allow_groups_add_com = explode( ",", $Board->Config['com_groups_add'] );
if( $is_logged || $Board->Config['com_anonim'] == "yes" )
	{
		if( in_array( $member_id['user_group'], $allow_groups_add_com ) || !$is_logged )
			{
				$AllowAdd = true;
			}
	}

// Грузим класс комментариев
require_once( ENGINE_DIR."/modules/board/tree.comments.class.php" );

// Небольшая настройка конфигов
$Board->Config['com_sort'] = ( $Board->Config['com_sort'] == "desc" ) ? "desc" : "asc";

// Запускаем класс и создаём запрос
$TreeCom = new tree_comments();
$TreeCom->CreateDB( "", $Board->Config['com_sort'] );

// Настраиваем навигацию
$TreeCom->Navigation = ( $Board->Config['com_navigation_on'] == "yes" ) ? true : false;
$TreeCom->Ajax = ( $Board->Config['com_ajax_navigation'] == "yes" ) ? true : false;
$TreeCom->ComOnPage = ( intval( $Board->Config['com_max_on_page'] ) > 0 ) ? intval( $Board->Config['com_max_on_page'] ) : 1;
$TreeCom->Page = intval( $_REQUEST['com_page'] );
$TreeCom->URL = $LinkTpl;

// Разные опции
$TreeCom->AllowAdd = $AllowAdd;
$TreeCom->Alternation = ( $Board->Config['com_alternation'] == "yes" ) ? true : false;
$TreeCom->AllocationGroups = ( $Board->Config['com_allocation'] == "yes" ) ? true : false;							
$TreeCom->NoCom['template'] = "board/{$Folder}/comments/info.tpl";
$TreeCom->ComDIR = "board/{$Folder}/comments";
if( in_array( $member_id['user_group'], $allow_group_com_moder ) ) $TreeCom->AllowEdit = true;

// Генерируем комментарии и навигацию если нужно
$TreeCom->start();
$TreeCom->BuildNavigation();		

// Завершаем класс
$TreeCom->apocalypse();

//-------------------------------------------------====
//	Парсим шаблоны
//-------------------------------------------------====

$tpl->result['board_comments'] = str_replace( "{THEME}", $THEME, $tpl->result['board_comments'] );
$tpl->result['nav_comments'] = str_replace( "{THEME}", $THEME, $tpl->result['nav_comments'] );

//-------------------------------------------------====
//	Выводим пользователю
//-------------------------------------------------====

echo "<div id=\"BoardCommentsList\">{$tpl->result['board_comments']}</div>{$tpl->result['nav_comments']}";;

//-------------------------------------------------====
//	Завершаем работу
//-------------------------------------------------====

$db->close();

?>